Bug 3628 - no asn1_err.h
no asn1_err.h
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
SGI IRIX
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 19:23 UTC by g.fischer@ah-online.com
Modified: 2006-05-13 12:18 UTC (History)
1 user (show)

See Also:


Attachments
build log (5.69 KB, application/x-tar)
2006-03-25 17:33 UTC, g.fischer@ah-online.com
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description g.fischer@ah-online.com 2006-03-23 19:23:07 UTC
well i'm not sure if it's a real bug. anyway i got the following error:

The source file "asn1_err.h" is unavailable.

sure it's clear what the problem is but i don't want kerberos installed nor make any use of it. however, the bad thing is i couldn't find any option to disable it.
this happened using 4.0.0tp2.

thanks
Comment 1 Andrew Bartlett 2006-03-24 01:18:11 UTC
Kerberos is an integral part of Samba4, and cannot be disabled.

As to why the asn1 compiler did not emit this header, can you please upload your build command and log, as well as further details on your IRIX platform and versions?  Were there any other errors?  

Thanks,
Comment 2 g.fischer@ah-online.com 2006-03-24 11:15:31 UTC
(In reply to comment #1)
> Kerberos is an integral part of Samba4, and cannot be disabled.
> 
> As to why the asn1 compiler did not emit this header, can you please upload
> your build command and log, as well as further details on your IRIX platform
> and versions?  Were there any other errors?  
> 
> Thanks,
> 

all right. will post details later today. thanks!
Comment 3 g.fischer@ah-online.com 2006-03-25 17:32:29 UTC
okay, only used
./configure --prefix=/usr/samba

and created a log. anyhow it's not very informative but it's exact what i got in the terminal.
the following most important output only came by using make install.
anyway will attach the log of course.

Compiling smbd/process_standard.c
cc-1005 c99: ERROR File = ./heimdal/lib/krb5/krb5.h, Line = 42
  The source file "asn1_err.h" is unavailable.

  #include <asn1_err.h>
                       ^

1 catastrophic error detected in the compilation of "smbd/process_standard.c".
Compilation terminated.
gmake: *** [smbd/process_standard.o] Error 2


thanks
Comment 4 g.fischer@ah-online.com 2006-03-25 17:33:28 UTC
Created attachment 1824 [details]
build log

here's the log.
Comment 5 Jelmer Vernooij 2006-05-13 12:18:14 UTC
We've had this problem coming up in the buildfarm as well. It has been 
fixed recently.